Jump to content
Dominique PIAU

impossible enregistrer nouveau produit

Recommended Posts

Bonjour,

 

J'essaie d'enregistrer un nouveau produit mais impossible message d'erreur suivant. Il est pourtant enregistré mais dès que je passe au prix, j'ai ce message.

 

Comment voir si j'ai un produit qui est mal enregistré ?

 

Il y a 1 avertissement.

  • Vous devez sauvegarder ce produit avant de pouvoir définir des prix spécifiques

 

Merci de vos réponses

 

Cordialement et bonne journée

Share this post


Link to post
Share on other sites

Le problème vient de la dernière version de Chrome ou FireFox qui bloque les requêtes ajax synchrones (deprecated depuis 2012 mais toujours utilisées par Prestashop^^)

Passez sous IE en attendant

Share this post


Link to post
Share on other sites

Merci beaucoup, je pouvais chercher longtemps a vouloir enregistrer ce produit.

 

Pour info, même problème dans Microsoft Edge.

 

Merci et bon week end

Share this post


Link to post
Share on other sites

Merci beaucoup pour la réponse

Cela fait 30 minutes que j'essayais de comprendre le "non enregistrement" du prix du produit

 

en passant sous IE, c'est mieux

Share this post


Link to post
Share on other sites

 

Ahh enfin une explication !

En effet j'ai ce problème sur Firefox et Chrome, je comprends enfin.... sur IE ça fonctionne correctement.

Je me suis bien doutée que le problème venait du navigateur.

sauf que par moment ça fonctionne, donc c'est déroutant.

Soit je reste avec IE pour ma boutique Prestashop, ou j'essaie peut-être Opéra ?

 

 

 

Share this post


Link to post
Share on other sites
1 hour ago, Kali said:

Soit je reste avec IE pour ma boutique Prestashop, ou j'essaie peut-être Opéra ?

Ou vous mettez à jour votre prestashop sur 1.6.1.24 pour corriger le problème.

Le problème sera similaire sur Opera et sur IE il risque de se produire tôt ou tard également vu qu'il s'agit d'un problème dû à l'utilisation d'une fonctionnalité obsolète.

Edited by Janett (see edit history)

Share this post


Link to post
Share on other sites

 

J'ai Prestashop 1.6.1.4

 

??

Share this post


Link to post
Share on other sites
il y a 37 minutes, Kali a dit :

 

J'ai Prestashop 1.6.1.4

 

??

Télécharge Netscape6

Share this post


Link to post
Share on other sites

 

Pas envie de passer de la 1.61.1.4 à la 1.6.1.24

 

Ce problème sera peut-être résolu, mais d'autres apparaitront

Prestashop, c'est ça.... au lieu de créer une bonne fois pour toutes une version qui fonctionne bien et qui est stable, on court après les up-grades....

Share this post


Link to post
Share on other sites

En l'occurence le problème n'est pas vraiment lié à Prestashop. Google grand moralisateur de l'univers à décidé que les appels synchrone n'étaient plus admissible sur le web. Ils ont supprimé la la fonctionnalité et tout le monde à obéi et fait de même.

A moins d'utiliser un navigateur considéré obsolète ce fonctionnement n'est plus possible.

Share this post


Link to post
Share on other sites

Pas vraiment pertinent votre remarque...

Une fois pour toute ??? Entre PHP qui se remet à changer de version tous les 6 mois, les navigateurs qui évoluent, Google qui change les règles, comment voulez-vous être au top une fois pour toute ???

Qu'est ce qui vous fait peur à passer de 1.6.1.4 à 1.6.1.24, le code du cœur a été modifié chez vous ?

Share this post


Link to post
Share on other sites

@doekia arrête de répondre avant moi !!! Normalement tu n'es plus là^^

Share this post


Link to post
Share on other sites
27 minutes ago, Eolia said:

Pas vraiment pertinent votre remarque...

Une fois pour toute ??? Entre PHP qui se remet à changer de version tous les 6 mois, les navigateurs qui évoluent, Google qui change les règles, comment voulez-vous être au top une fois pour toute ???

Qu'est ce qui vous fait peur à passer de 1.6.1.4 à 1.6.1.24, le code du cœur a été modifié chez vous ?

 

Je l'ai dit, autre chose va bugger, non je ne tente pas.

 

Share this post


Link to post
Share on other sites

Et donc que cherches tu?

Un miracle?

Share this post


Link to post
Share on other sites

Alors appliquez le patch autrement je ne vois pas l'intérêt de votre question.

Share this post


Link to post
Share on other sites

 

 

ce patch est à insérer où ?

 

Share this post


Link to post
Share on other sites

Dans chacun des 9 fichiers identifiés dans le commit

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More